Get Builds
https://app.fossa.com/api/buildsRetrieves a list of builds.
Query parameters
locatorstringThe revision locator to filter builds to
projectIdstringThe project locator to filter builds to
startDatestring <date-time>The start date to filter builds to
endDatestring <date-time>The end date to filter builds to
pageSizeinteger <int32>The number of builds to return
pageinteger <int32>The page number to return
sortstringThe sort order(s) to apply to the builds. Accepts a comma-separated list of one or more columns. Prefix a column with `-` to sort it in descending order (ascending is the default). Valid columns are: `cliVersionId`, `createdAt`, `id`, `locator`, `ownerId`, `taskId`, `updatedAt`. For example, `-createdAt,id` sorts by `createdAt` descending then `id` ascending.
Responses
200Build listArray of:
idintegerThe ID for the build
locatorstringThe revision locator for the build
ownerIdinteger | nullThe ID of the user who owns the build
errorstring | nullThe error message for the build
warningsstring[]The warning messages for the build
providedbooleanIs the build from a CLI upload
taskIdinteger | nullThe ID of the task for the build
createdAtstring <date-time>The date and time the build was created
updatedAtstring <date-time>The date and time the build was last updated
cliVersionIdintegerThe ID of the CLI version for the build
revisionobjectThe revision for the build
locatorstringThe revision locator for the build
projectIdstringThe project locator of the project for the build
messagestringThe message for the revision
taskobjectThe task for the build
statusenumThe status of the task
CREATEDASSIGNEDRUNNINGSUCCEEDEDFAILEDstartedstring <date-time>The date and time the task was started
finishedstring <date-time>The date and time the task was finished
createdAtstring <date-time>The date and time the task was created
updatedAtstring <date-time>The date and time the task was last updated
attempt_numberintegerThe number of attempts for the task
maxRetriesintegerThe maximum number of retries for the task
scheduledStartTimestring | null <date-time>The date and time the task is scheduled to start
400Malformed PayloaduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/buildscurl --request GET \ --url 'https://app.fossa.com/api/builds' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Query params
locatorstringThe revision locator to filter builds to
projectIdstringThe project locator to filter builds to
startDatestringThe start date to filter builds to
endDatestringThe end date to filter builds to
pageSizeintegerThe number of builds to return
pageintegerThe page number to return
sortstringThe sort order(s) to apply to the builds. Accepts a comma-separated list of one or more columns. Prefix a column with `-` to sort it in descending order (ascending is the default). Valid columns are: `cliVersionId`, `createdAt`, `id`, `locator`, `ownerId`, `taskId`, `updatedAt`. For example, `-createdAt,id` sorts by `createdAt` descending then `id` ascending.